Class AppProcessorsImpl
- All Implemented Interfaces:
AppProcessors
AppProcessors over the shared FabricBeta apiParams area.
Beta: Fabric v4 4.34.0 (spec read 2026-11-11).
Generated from the Fabric v4 OpenAPI spec by the fabric-beta generator; regenerate rather than hand-edit.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionGet Processor:GET /fabric/v4/appProcessors/{appProcessorId}(operationgetAppProcessorByUuid).search()Search Processors:POST /fabric/v4/appProcessors/search(operationsearchAppProcessors).search(FilterPropertyList filter) Search Processors:POST /fabric/v4/appProcessors/search(operationsearchAppProcessors).search(FilterPropertyList filter, SortPropertyList sort) Search Processors:POST /fabric/v4/appProcessors/search(operationsearchAppProcessors).
-
Constructor Details
-
AppProcessorsImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
getByUuid
Description copied from interface:AppProcessorsGet Processor:GET /fabric/v4/appProcessors/{appProcessorId}(operationgetAppProcessorByUuid).This API provides capability to retrieve user's App Processor
- Specified by:
getByUuidin interfaceAppProcessors- Parameters:
appProcessorId- theappProcessorIdpath parameter- Returns:
- the
AppProcessorthe API returns
-
search
Description copied from interface:AppProcessorsSearch Processors:POST /fabric/v4/appProcessors/search(operationsearchAppProcessors).The API provides capability to get list of user's App Processors using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/bandwidth,/changeLog/createdDateTime,/changeLog/deletedDateTime,/changeLog/updatedDateTime,/description,/ipv4Subnet,/name,/project/projectId,/state,/uuid.Sort properties named by the spec:
/changeLog/createdDateTime,/changeLog/updatedDateTime,/name,/state,/uuid.- Specified by:
searchin interfaceAppProcessors- Parameters:
filter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppProcessor
-
search
Description copied from interface:AppProcessorsSearch Processors:POST /fabric/v4/appProcessors/search(operationsearchAppProcessors).The API provides capability to get list of user's App Processors using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceAppProcessors- Parameters:
filter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppProcessor
-
search
Description copied from interface:AppProcessorsSearch Processors:POST /fabric/v4/appProcessors/search(operationsearchAppProcessors).The API provides capability to get list of user's App Processors using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceAppProcessors- Returns:
- a lazily paged list of
AppProcessor
-